# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.gtt
Class DocumentQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.gtt.DocumentQuery

    public class DocumentQuery

extends Query

Describes a query for the feed of documents.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`DocumentQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.Boolean` `getOnlydeleted()` Returns the onlydeleted.
`java.lang.String` `getSharedWithEmailId()` Returns the sharedwith.
`java.lang.Boolean` `getShowdeleted()` Returns the showdeleted.
`void` `setOnlydeleted(java.lang.Boolean onlydeleted)` Sets the onlydeleted.
`void` `setSharedWithEmailId(java.lang.String sharedWithEmailId)` Sets the sharedwith.
`void` `setShowdeleted(java.lang.Boolean showdeleted)` Sets the showdeleted.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentQuery

    public DocumentQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getOnlydeleted

    public java.lang.Boolean getOnlydeleted()

  Returns the onlydeleted.

  Returns:
    onlydeleted or `null` to indicate that the parameter is not set.

### setOnlydeleted

    public void setOnlydeleted(java.lang.Boolean onlydeleted)

  Sets the onlydeleted.

  Parameters:
    `onlydeleted` - onlydeleted or `null` to remove this parameter if set.

### getSharedWithEmailId

    public java.lang.String getSharedWithEmailId()

  Returns the sharedwith.

  Returns:
    sharedwith or `null` to indicate that the parameter is not set.

### setSharedWithEmailId

    public void setSharedWithEmailId(java.lang.String sharedWithEmailId)

  Sets the sharedwith.

  Parameters:
    `sharedWithEmailId` - sharedwith or `null` to remove this parameter if set.

### getShowdeleted

    public java.lang.Boolean getShowdeleted()

  Returns the showdeleted.

  Returns:
    showdeleted or `null` to indicate that the parameter is not set.

### setShowdeleted

    public void setShowdeleted(java.lang.Boolean showdeleted)

  Sets the showdeleted.

  Parameters:
    `showdeleted` - showdeleted or `null` to remove this parameter if set.